Package org.kapott.hbci.passport.storage.format.legacy

## Interface Converter

All Known Implementing Classes:
  `AbstractConverter`, `AbstractConverterXML`, `ConverterAnonymous`, `ConverterDDV`, `ConverterPinTan`, `ConverterRDHNew`, `ConverterRSA`

    public interface Converter

Das Interface bietet eine gemeinsame Schnittstelle fuer die unterschiedlichen Daten in den Passport-Dateien.

### Method Summary

All Methods Instance Methods Abstract Methods
`byte[]` `getSalt()` Liefert den zu verwendenden Salt.
`PassportData` `load​(java.io.InputStream is)` Laedt die Passport-Daten.
`void` `save​(PassportData data, java.io.OutputStream os)` Speichert die Passport-Daten.
`boolean` `supports​(HBCIPassport passport)` Prueft, ob der Loader dieses Format lesen kann.

### Method Detail

#### getSalt

    byte[] getSalt()

Liefert den zu verwendenden Salt.

Returns:
  das zu verwendende Salt.

#### load

    PassportData load​(java.io.InputStream is)
               throws java.lang.Exception

Laedt die Passport-Daten.

Parameters:
  `is` - der Stream, von dem die Daten gelesen werden.
Returns:
  die gelesenen Daten.
Throws:
  `java.lang.Exception` - wenn es beim Lesen der Daten zu einem Fehler kam.

#### save

    void save​(PassportData data,
              java.io.OutputStream os)
       throws java.lang.Exception

Speichert die Passport-Daten.

Parameters:
  `data` - die Daten.
  `os` - der Stream, in den die Daten geschrieben werden.
Throws:
  `java.lang.Exception` - wenn es beim Schreiben der Daten zu einem Fehler kam.

#### supports

    boolean supports​(HBCIPassport passport)

Prueft, ob der Loader dieses Format lesen kann.

Parameters:
  `passport` - der Passport.
Returns:
  true, wenn er es lesen kann.